export interface IEventListener {
    type: keyof HTMLElementEventMap;
    listener: (this: HTMLElement, ev: any) => any;
    options?: boolean | AddEventListenerOptions;
}
export declare class EventListener<TType extends keyof HTMLElementEventMap> implements IEventListener {
    constructor(type: TType, listener: (this: HTMLElement, ev: HTMLElementEventMap[TType]) => any, options?: boolean | AddEventListenerOptions);
    type: TType;
    listener: (this: HTMLElement, ev: HTMLElementEventMap[TType]) => any;
    options: boolean | AddEventListenerOptions;
}
